Subject: Re: bug#12530: nice(1) man page, bad wording

From: Jim Meyering <[email-masked]>
Date: Fri, 28 Sep 2012 23:04:02 +0200

Pádraig Brady wrote:
> On 09/28/2012 05:46 PM, Jim Meyering wrote:
>> Thanks!
>> Here's an additional patch to avoid something I noticed in the context.
>> Using "niceness" is bad enough without cementing the ugliness by using a
>> plural form.
>
> Heh I'd done that too, but then reverted because I thought
> the awkward phrasing might be there for a reason
> (to ensure people didn't think they could specify a range).
> But I was over thinking it, and your amendment is clearer.
>
> thanks,
> Pádraig.

Hmm... looks like you were right to think that.
I have just now looked for other occurrences of "nicenesses"
and found this explanation from NEWS in 2005:

    nice changes:

      Documentation and diagnostics now refer to "nicenesses" (commonly
      in the range -20...19) rather than "nice values" (commonly 0...39).

I expect to perform the same substitution on the sole use of "nicenesses"
in coreutils.texi.   Sorry I didn't think to check there before.

    $ g grep -i nicenesses doc
    doc/coreutils.texi:may have a wider range of nicenesses; conversely, other systems may